#include <psemek/wgpu/texture_view.hpp>
#include <psemek/wgpu/detail/string_view.hpp>
#include <psemek/wgpu/external/webgpu.h>

namespace psemek::wgpu
{

	void texture_view::set_label(std::string const & label)
	{
		wgpuTextureViewSetLabel((WGPUTextureView)get(), detail::to_string_view(label));
	}

	void texture_view::reference(void * ptr)
	{
		wgpuTextureViewAddRef((WGPUTextureView)ptr);
	}

	void texture_view::release(void * ptr)
	{
		wgpuTextureViewRelease((WGPUTextureView)ptr);
	}

}
